package com.jiuqi.util;

package .tmp;

import com.jiuqi.util.MemStream;
import java.io.InputStream;
import java.sql.ResultSet;

public class BlobToBytes {
  public static byte[] read(ResultSet rs, String fieldname) throws Exception {
    return read(rs, rs.findColumn(fieldname));
  }
  
  public static byte[] read(ResultSet rs, int fieldindex) throws Exception {
    byte[] result = (byte[])null;
    InputStream inputStream = rs.getBinaryStream(fieldindex);
    MemStream memStream = new MemStream();
    memStream.copyFrom(inputStream, 0L);
    result = memStream.getBytes();
    memStream.setSize(0L);
    memStream = null;
    return result;
  }
  
  public static String readString(ResultSet rs, int fieldIndex) throws Exception {
    byte[] b = read(rs, fieldIndex);
    return (b == null) ? "" : new String(b);
  }
  
  public static String readString(ResultSet rs, String fieldName) throws Exception {
    return readString(rs, rs.findColumn(fieldName));
  }
}
